## org.hibernate.cfg.annotations.reflection
Class XMLContext.Default

    java.lang.Object
      org.hibernate.cfg.annotations.reflection.XMLContext.Default

All Implemented Interfaces:
  Serializable

Enclosing class:
  XMLContext

    public static class XMLContext.Default

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`XMLContext.Default()`

Method Summary
`boolean` `canUseJavaAnnotations()`
`AccessType` `getAccess()`
`Boolean` `getCascadePersist()`
`String` `getCatalog()`
`Boolean` `getDelimitedIdentifier()`
`Boolean` `getMetadataComplete()`
`String` `getPackageName()`
`String` `getSchema()`
`void` `override(XMLContext.Default globalDefault)`
`protected void` `setAccess(AccessType access)`
`protected void` `setCatalog(String catalog)`
`void` `setDelimitedIdentifiers(Boolean delimitedIdentifier)`
`protected void` `setMetadataComplete(Boolean metadataComplete)`
`protected void` `setPackageName(String packageName)`
`protected void` `setSchema(String schema)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLContext.Default

    public XMLContext.Default()

Method Detail

### getAccess

    public AccessType getAccess()

### setAccess

    protected void setAccess(AccessType access)

### getCatalog

    public String getCatalog()

### setCatalog

    protected void setCatalog(String catalog)

### getPackageName

    public String getPackageName()

### setPackageName

    protected void setPackageName(String packageName)

### getSchema

    public String getSchema()

### setSchema

    protected void setSchema(String schema)

### getMetadataComplete

    public Boolean getMetadataComplete()

### canUseJavaAnnotations

    public boolean canUseJavaAnnotations()

### setMetadataComplete

    protected void setMetadataComplete(Boolean metadataComplete)

### getCascadePersist

    public Boolean getCascadePersist()

### override

    public void override(XMLContext.Default globalDefault)

### setDelimitedIdentifiers

    public void setDelimitedIdentifiers(Boolean delimitedIdentifier)

### getDelimitedIdentifier

    public Boolean getDelimitedIdentifier()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.